settingsLogin | Registersettings

[openstack-dev] [TripleO]:triple-o undercloud installation error on CentOS7.3

0 votes

Hi, I am trying to install triple-o undercloud on a physical machine.
The installation fails every time. I have reinstalled the OS and tried
starting from scratch but got the same error.

System Details :

DELL t620 with IPMI support.
Different network for Internet Connectivity and PXE respectively.
OS version : CentOS 7.3.1611, kernel : 3.10.0-514.10.2.el7.x86_64
192.168.10.0/24 is for PXE boot network

My undercloud.conf looks like this:

http://paste.openstack.org/show/603918/

Error details:

dib-run-parts Thu Mar 23 18:35:53 IST 2017 Running
/usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
+ set -o pipefail
+ puppet_apply puppet apply --detailed-exitcodes
/etc/puppet/manifests/puppet-stack-config.pp
+ set +e
+ puppet apply --detailed-exitcodes
/etc/puppet/manifests/puppet-stack-config.pp
+ awk '{print strftime("%Y-%m-%d %H:%M:%S") " - "$0; fflush()}'
2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected
')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3
on node undercloud.in.caveonetworks.com
2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected
')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3 on node
undercloud.in.caveonetworks.com
+ rc=1
+ set -e
+ echo 'puppet apply exited with exit code 1'
puppet apply exited with exit code 1
+ '[' 1 '!=' 2 -a 1 '!=' 0 ']'
+ exit 1
[2017-03-23 18:35:57,659] (os-refresh-config) [ERROR] during
configure phase. [Command '['dib-run-parts',
'/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit
status 1]

[2017-03-23 18:35:57,660] (os-refresh-config) [ERROR] Aborting...

Desperately need some help. Please let me know if you need any other details.

-pjb


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
asked Mar 23, 2017 in openstack-dev by pranab_boruah (740 points)   1 5

2 Responses

0 votes

On Thu, Mar 23, 2017 at 7:43 AM, pranab boruah
pranabjyotiboruah@gmail.com wrote:
Hi, I am trying to install triple-o undercloud on a physical machine.
The installation fails every time. I have reinstalled the OS and tried
starting from scratch but got the same error.

System Details :

DELL t620 with IPMI support.
Different network for Internet Connectivity and PXE respectively.
OS version : CentOS 7.3.1611, kernel : 3.10.0-514.10.2.el7.x86_64
192.168.10.0/24 is for PXE boot network

My undercloud.conf looks like this:

http://paste.openstack.org/show/603918/

Error details:

dib-run-parts Thu Mar 23 18:35:53 IST 2017 Running
/usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
+ set -o pipefail
+ puppet_apply puppet apply --detailed-exitcodes
/etc/puppet/manifests/puppet-stack-config.pp
+ set +e
+ puppet apply --detailed-exitcodes
/etc/puppet/manifests/puppet-stack-config.pp
+ awk '{print strftime("%Y-%m-%d %H:%M:%S") " - "$0; fflush()}'
2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected
')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3
on node undercloud.in.caveonetworks.com
2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected
')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3 on node
undercloud.in.caveonetworks.com
+ rc=1
+ set -e
+ echo 'puppet apply exited with exit code 1'
puppet apply exited with exit code 1
+ '[' 1 '!=' 2 -a 1 '!=' 0 ']'
+ exit 1
[2017-03-23 18:35:57,659] (os-refresh-config) [ERROR] during
configure phase. [Command '['dib-run-parts',
'/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit
status 1]

What version of puppet do you have installed? I believe you have
version 3 and you need 4.

Thanks,
-Alex

[2017-03-23 18:35:57,660] (os-refresh-config) [ERROR] Aborting...

Desperately need some help. Please let me know if you need any other details.

-pjb


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
responded Mar 23, 2017 by aschultz_at_redhat.c (5,800 points)   2 2 4
0 votes

facing this issue when using Git checkouts of the puppet modules
instead of packages.

Using packages instead of git checkouts solved the problem. :) :)

On 23 March 2017 at 19:13, pranab boruah pranabjyotiboruah@gmail.com wrote:
Hi, I am trying to install triple-o undercloud on a physical machine.
The installation fails every time. I have reinstalled the OS and tried
starting from scratch but got the same error.

System Details :

DELL t620 with IPMI support.
Different network for Internet Connectivity and PXE respectively.
OS version : CentOS 7.3.1611, kernel : 3.10.0-514.10.2.el7.x86_64
192.168.10.0/24 is for PXE boot network

My undercloud.conf looks like this:

http://paste.openstack.org/show/603918/

Error details:

dib-run-parts Thu Mar 23 18:35:53 IST 2017 Running
/usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config
+ set -o pipefail
+ puppet_apply puppet apply --detailed-exitcodes
/etc/puppet/manifests/puppet-stack-config.pp
+ set +e
+ puppet apply --detailed-exitcodes
/etc/puppet/manifests/puppet-stack-config.pp
+ awk '{print strftime("%Y-%m-%d %H:%M:%S") " - "$0; fflush()}'
2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected
')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3
on node undercloud.in.caveonetworks.com
2017-03-23 18:35:57 - Error: Syntax error at 'Boolean'; expected
')' at /etc/puppet/modules/rabbitmq/manifests/init.pp:3 on node
undercloud.in.caveonetworks.com
+ rc=1
+ set -e
+ echo 'puppet apply exited with exit code 1'
puppet apply exited with exit code 1
+ '[' 1 '!=' 2 -a 1 '!=' 0 ']'
+ exit 1
[2017-03-23 18:35:57,659] (os-refresh-config) [ERROR] during
configure phase. [Command '['dib-run-parts',
'/usr/libexec/os-refresh-config/configure.d']' returned non-zero exit
status 1]

[2017-03-23 18:35:57,660] (os-refresh-config) [ERROR] Aborting...

Desperately need some help. Please let me know if you need any other details.

-pjb


OpenStack Development Mailing List (not for usage questions)
Unsubscribe: OpenStack-dev-request@lists.openstack.org?subject:unsubscribe
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-dev
responded Mar 24, 2017 by pranab_boruah (740 points)   1 5
...